> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get address transaction history

> List of all transactions that have interacted with a given external address. Interaction types: native, ERC20 and ERC721 transfer activities. The transactions are returned in reverse chronological order based on their block height.



## OpenAPI

````yaml GET /v1/networks/{network_id}/addresses/{address_id}/transactions
openapi: 3.0.3
info:
  title: Coinbase Developer Platform API
  license:
    name: MIT License
    url: https://opensource.org/license/mit
  version: 0.0.1-alpha
servers:
  - url: https://api.cdp.coinbase.com/platform
security:
  - bearerAuth: []
tags:
  - name: Addresses
    description: Addresses belong to a wallet and are scoped to a network.
  - name: Assets
    description: Assets are the digital assets that can be held in a wallet.
  - name: Networks
    description: Blockchain networks that are supported by the platform.
  - name: Staking
    description: Staking operations and rewards for addresses on supported networks.
paths:
  /v1/networks/{network_id}/addresses/{address_id}/transactions:
    get:
      tags:
        - Addresses
      summary: Get address transaction history
      description: >-
        List of all transactions that have interacted with a given external
        address. Interaction types: native, ERC20 and ERC721 transfer
        activities. The transactions are returned in reverse chronological order
        based on their block height.
      operationId: listAddressTransactions
      parameters:
        - description: >-
            Blockchain [network
            identifier](/api-reference/networks#network-identifiers).
          in: path
          name: network_id
          required: true
          schema:
            type: string
          example: base-mainnet
        - description: >-
            Blockchain address hash (Note that EVM chain address hash should be
            lowered cased).
          in: path
          name: address_id
          required: true
          schema:
            type: string
          example: '0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a'
        - description: >-
            Number of transactions to receive in a page. The default value is
            10. The maximum value is 100, and values supplied over this will be
            coerced to the maximum.
          in: query
          name: limit
          required: false
          schema:
            type: integer
          style: form
        - description: >-
            A cursor for pagination across multiple pages of results. Don't
            include this parameter on the first call. Use the next_page value
            returned in a previous response to request subsequent results.
          in: query
          name: page
          required: false
          schema:
            maxLength: 5000
            type: string
          style: form
      responses:
        '200':
          description: Success response
          content:
            application/json:
              schema:
                description: ''
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Transaction'
                    type: array
                  has_more:
                    description: >-
                      True if this list has another page of items after this one
                      that can be fetched.
                    type: boolean
                  next_page:
                    description: The page token to be used to fetch the next page.
                    type: string
                required:
                  - data
                  - has_more
                  - next_page
                title: AddressTransactionList
                type: object
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response
components:
  schemas:
    Transaction:
      description: An onchain transaction.
      type: object
      properties:
        network_id:
          type: string
          example: base-sepolia
          description: Blockchain network identifier.
        from_address_id:
          type: string
          example: '0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a'
          description: The onchain address of the sender
        unsigned_payload:
          type: string
          description: >-
            The unsigned payload of the transaction. This is the payload that
            needs to be signed by the sender.
        signed_payload:
          type: string
          description: >-
            The signed payload of the transaction. This is the payload that has
            been signed by the sender.
        transaction_hash:
          type: string
          example: '0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42'
          description: The hash of the transaction
        transaction_link:
          type: string
          description: >-
            The link to view the transaction on a block explorer. This is
            optional and may not be present for all transactions.
          example: >-
            https://sepolia.basescan.org/tx/0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42
        status:
          type: string
          enum:
            - pending
            - signed
            - broadcast
            - complete
            - failed
            - unspecified
          description: The status of the transaction.
        content:
          type: object
          oneOf:
            - $ref: '#/components/schemas/EthereumTransaction'
      required:
        - network_id
        - from_address_id
        - unsigned_payload
        - status
      xml:
        name: transaction
    Error:
      description: An error response from the Coinbase Developer Platform API
      properties:
        code:
          description: >-
            A short string representing the reported error. Can be use to handle
            errors programmatically.
          maxLength: 5000
          type: string
        message:
          description: A human-readable message providing more details about the error.
          maxLength: 5000
          type: string
        correlation_id:
          description: >-
            A unique identifier for the request that generated the error. This
            can be used to help debug issues with the API.
          type: string
      required:
        - code
        - message
      type: object
      xml:
        name: error
    EthereumTransaction:
      type: object
      properties:
        from:
          type: string
          example: '0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a'
          description: The onchain address of the sender.
        gas:
          type: integer
          format: uint64
          example: 1000
          description: The amount of gas spent in the transaction.
        gas_price:
          type: integer
          format: uint64
          example: 1000
          description: >-
            The price per gas spent in the transaction in atomic units of the
            native asset.
        hash:
          type: string
          example: '0x53e11e94ebb2438d6ddcfa07dabc9b551d2f440f8363fea941083bc397a86a42'
          description: >-
            The hash of the transaction as a hexadecimal string, prefixed with
            `0x`.
        input:
          type: string
          description: The input data of the transaction.
        nonce:
          type: integer
          format: uint64
          example: 136
          description: The nonce of the transaction in the source address.
        to:
          type: string
          example: '0xfc807D1bE4997e5C7B33E4d8D57e60c5b0f02B1a'
          description: The onchain address of the receiver.
        index:
          type: integer
          format: uint64
          example: 5
          description: The index of the transaction in the block.
        value:
          type: string
          example: '100'
          description: The value of the transaction in atomic units of the native asset.
        type:
          type: integer
          format: uint64
          example: 2
          description: >-
            The EIP-2718 transaction type. See
            https://eips.ethereum.org/EIPS/eip-2718 for more details.
        max_fee_per_gas:
          type: integer
          format: uint64
          example: 190
          description: >-
            The max fee per gas as defined in EIP-1559.
            https://eips.ethereum.org/EIPS/eip-1559 for more details.
        max_priority_fee_per_gas:
          type: integer
          format: uint64
          example: 100
          description: >-
            The max priority fee per gas as defined in EIP-1559.
            https://eips.ethereum.org/EIPS/eip-1559 for more details.
        priority_fee_per_gas:
          type: integer
          format: uint64
          example: 1000
          description: >-
            The confirmed priority fee per gas as defined in EIP-1559.
            https://eips.ethereum.org/EIPS/eip-1559 for more details.
        transaction_access_list:
          $ref: '#/components/schemas/EthereumTransactionAccessList'
          description: >-
            The transaction access list as defined in EIP-2930.
            https://eips.ethereum.org/EIPS/eip-2930 for more details.
        flattened_traces:
          type: array
          items:
            $ref: '#/components/schemas/EthereumTransactionFlattenedTrace'
            description: Traces associated with the transaction.
        block_timestamp:
          type: string
          format: date-time
          description: The timestamp of the block in which the event was emitted
          example: '2023-04-01T12:00:00Z'
        mint:
          type: string
          example: '0'
          description: >-
            This is for handling optimism rollup specific EIP-2718 transaction
            type field.
        rlp_encoded_tx:
          type: string
          example: >-
            0x02f582426882013d8502540be4008502540be41c830493e094a55416de5de61a0ac1aa8970a280e04388b1de4b6f843a4b66f1c0808080
          description: >-
            RLP encoded transaction as a hex string (prefixed with `0x`) for
            native compatibility with popular eth clients such as etherjs, viem
            etc.
      required:
        - from
        - to
      xml:
        name: ethereum_transaction
    EthereumTransactionAccessList:
      type: object
      properties:
        access_list:
          type: array
          items:
            $ref: '#/components/schemas/EthereumTransactionAccess'
      xml:
        name: ethereum_transaction_access_list
    EthereumTransactionFlattenedTrace:
      type: object
      properties:
        error:
          type: string
        type:
          type: string
        from:
          type: string
        to:
          type: string
        value:
          type: string
        gas:
          type: integer
          format: uint64
        gas_used:
          type: integer
          format: uint64
        input:
          type: string
        output:
          type: string
        sub_traces:
          type: integer
          format: uint64
        trace_address:
          type: array
          items:
            type: integer
            format: uint64
        trace_type:
          type: string
        call_type:
          type: string
        trace_id:
          type: string
        status:
          type: integer
          format: uint64
        block_hash:
          type: string
        block_number:
          type: integer
          format: uint64
        transaction_hash:
          type: string
        transaction_index:
          type: integer
          format: uint64
      xml:
        name: ethereum_transaction_flattened_trace
    EthereumTransactionAccess:
      type: object
      properties:
        address:
          type: string
        storage_keys:
          type: array
          items:
            type: string
      xml:
        name: ethereum_transaction_access
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Enter your JSON Web Token (JWT) here. Refer to the [Generate
        JWT](/api-reference/authentication#2-generate-jwt-server-only) section
        of our Authentication docs for information on how to generate your
        Bearer Token.

````